Patchwork Revert "berkeleydb: bump to version 6.0.20"

login
register
mail settings
Submitter Jérôme Pouiller
Date Oct. 7, 2013, 7:36 p.m.
Message ID <1381174561-22507-1-git-send-email-jezz@sysmic.org>
Download mbox | patch
Permalink /patch/281255/
State Accepted
Headers show

Comments

Jérôme Pouiller - Oct. 7, 2013, 7:36 p.m.
BerkeleyDB has changed its license since version 6. New license (AGPL) may
be incompatible with some packages. So we prefer to stick to version 5

This reverts commit 4c478de2e76ffc1d0a6dc413475307fd44a0a595.

Signed-off-by: Jérôme Pouiller <jezz@sysmic.org>
---
 package/berkeleydb/berkeleydb.mk |    5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)
Gustavo Zacarias - Oct. 7, 2013, 9:02 p.m.
On 10/07/2013 04:36 PM, Jérôme Pouiller wrote:

> BerkeleyDB has changed its license since version 6. New license (AGPL) may
> be incompatible with some packages. So we prefer to stick to version 5
> 
> This reverts commit 4c478de2e76ffc1d0a6dc413475307fd44a0a595.
> 
> Signed-off-by: Jérôme Pouiller <jezz@sysmic.org>

Acked-by: Gustavo Zacarias <gustavo@zacarias.com.ar>
Yann E. MORIN - Oct. 7, 2013, 10:10 p.m.
Jérôme, All,

On 2013-10-07 21:36 +0200, Jérôme Pouiller spake thusly:
> BerkeleyDB has changed its license since version 6. New license (AGPL) may
> be incompatible with some packages. So we prefer to stick to version 5
> 
> This reverts commit 4c478de2e76ffc1d0a6dc413475307fd44a0a595.
> 
> Signed-off-by: Jérôme Pouiller <jezz@sysmic.org>
> ---
>  package/berkeleydb/berkeleydb.mk |    5 ++++-
>  1 file changed, 4 insertions(+), 1 deletion(-)
> 
> diff --git a/package/berkeleydb/berkeleydb.mk b/package/berkeleydb/berkeleydb.mk
> index 9b23623..d39bf80 100644
> --- a/package/berkeleydb/berkeleydb.mk
> +++ b/package/berkeleydb/berkeleydb.mk
> @@ -4,7 +4,10 @@
>  #
>  ################################################################################
>  
> -BERKELEYDB_VERSION = 6.0.20
> +# If you want to use lastest version of BerkeleyDB, just change VERSION below.
> +# However, notice BerkeleyDB license changed and is now Affero GPL since
> +# version 6

I'd prefer we'd phrase it something like:

    # Since BerkeleyDB version 6 and above are licensed under the Affero
    # GPL (AGPL), we want to keep this 'bdb' package at version 5.x to
    # avoid licensing issues.
    # BerkeleyDB version 6 or above should be provided by a dedicated
    # package instead.

Because we really do want to keep 5.x, while your text seems to imply we
could bump the version. We do not want this to happen.

> +BERKELEYDB_VERSION = 5.3.21
>  BERKELEYDB_SITE = http://download.oracle.com/berkeley-db
>  BERKELEYDB_SOURCE = db-$(BERKELEYDB_VERSION).NC.tar.gz
>  BERKELEYDB_SUBDIR = build_unix

Regards,
Yann E. MORIN.
Peter Korsgaard - Oct. 27, 2013, 9:38 a.m.
>>>>> "Jérôme" == Jérôme Pouiller <jezz@sysmic.org> writes:

 > BerkeleyDB has changed its license since version 6. New license (AGPL) may
 > be incompatible with some packages. So we prefer to stick to version 5

 > This reverts commit 4c478de2e76ffc1d0a6dc413475307fd44a0a595.

Committed with the comment text adjusted as suggested by Yann, thanks.

Patch

diff --git a/package/berkeleydb/berkeleydb.mk b/package/berkeleydb/berkeleydb.mk
index 9b23623..d39bf80 100644
--- a/package/berkeleydb/berkeleydb.mk
+++ b/package/berkeleydb/berkeleydb.mk
@@ -4,7 +4,10 @@ 
 #
 ################################################################################
 
-BERKELEYDB_VERSION = 6.0.20
+# If you want to use lastest version of BerkeleyDB, just change VERSION below.
+# However, notice BerkeleyDB license changed and is now Affero GPL since
+# version 6
+BERKELEYDB_VERSION = 5.3.21
 BERKELEYDB_SITE = http://download.oracle.com/berkeley-db
 BERKELEYDB_SOURCE = db-$(BERKELEYDB_VERSION).NC.tar.gz
 BERKELEYDB_SUBDIR = build_unix